Source: arm-trusted-firmware
Section: admin
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
 gcc-arm-none-eabi [arm64],
 binutils-arm-none-eabi [arm64],
 libssl-dev <!pkg.arm-trusted-firmware.notools>,
Rules-Requires-Root: no
Homepage: https://www.trustedfirmware.org/
Vcs-Browser: https://salsa.debian.org/debian/arm-trusted-firmware
Vcs-Git: https://salsa.debian.org/debian/arm-trusted-firmware.git

Package: arm-trusted-firmware
Architecture: arm64
Depends: ${misc:Depends}
Breaks: u-boot-rockchip (<< 2020.01~rc5)
Description: "secure world" software for ARM SoCs - firmware
 The "secure world" on arm64 machines is a special level of CPU
 privilege that is hidden from the normal OS, and has complete
 control over the system.  It provides both initialization during
 early boot stages (before u-boot or EFI) and system monitor
 functionality once the machine is booted up.
 .
 This package includes the firmware binaries.

Package: arm-trusted-firmware-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Build-Profiles: <!pkg.arm-trusted-firmware.notools>
Description: "secure world" software for ARM SoCs - tools
 The "secure world" on arm64 machines is a special level of CPU
 privilege that is hidden from the normal OS, and has complete
 control over the system.  It provides both initialization during
 early boot stages (before u-boot or EFI) and system monitor
 functionality once the machine is booted up.
 .
 This package includes helper tools.
